import { makeAutoObservable } from "mobx";

class LanguageStore {
  language: string = "ru";

  constructor() {
    makeAutoObservable(this);
  }

  setLanguage = (language: string) => {
    this.language = language;
  };
}

export const languageStore = new LanguageStore();
