import { authInstance } from "@shared";
import { API_URL } from "@shared";
import { makeAutoObservable } from "mobx";

class SnapshotStore {
  snapshots: any[] = [];

  constructor() {
    makeAutoObservable(this);
  }

  getSnapshots = async () => {
    const response = await authInstance.get(`${API_URL}/snapshots`);
    this.snapshots = response.data;
  };
}

export const snapshotStore = new SnapshotStore();
