import { Unlink } from "lucide-react";

import { Trash2 } from "lucide-react";
import { TextField } from "@mui/material";
import { ReactMarkdownEditor } from "@widgets";

export const SightEdit = () => {
  return (
    <div className="flex  gap-3">
      <div className="flex flex-1 flex-col gap-3">
        <div className="flex items-center gap-2 justify-end">
          <button className="flex items-center gap-2 border border-gray-300 bg-blue-100 rounded-md px-2 py-1">
            Открепить
            <Unlink />
          </button>
          <button className="flex items-center gap-2 border border-gray-300 bg-red-100 rounded-md px-2 py-1">
            Удалить
            <Trash2 />
          </button>
        </div>

        <TextField label="Заголовок" />
        <ReactMarkdownEditor />
      </div>

      <div className="flex flex-col gap-3 w-[350px]">
        <p>Превью</p>

        <div className=" w-full  bg-red-500">1</div>
      </div>
    </div>
  );
};
