import axios from "axios";

const authInstance = axios.create({
  baseURL: "https://wn.krbl.ru",
});

authInstance.interceptors.request.use((config) => {
  config.headers.Authorization = `Bearer ${localStorage.getItem("token")}`;
  return config;
});

export { authInstance };
