import { API_URL, authInstance } from "@shared";
import { makeAutoObservable } from "mobx";

class VehicleStore {
  vehicles: any[] = [];

  constructor() {
    makeAutoObservable(this);
  }

  getVehicles = async () => {
    const response = await authInstance.get(`${API_URL}/vehicle`);
    this.vehicles = response.data;
  };
}

export const vehicleStore = new VehicleStore();
